package com.gyee.wisdom.dao.point;

import com.gyee.wisdom.common.data.point.ElectricalTestingPoint;

import java.util.List;

public interface IElectricalTestingPointDao {

    List<ElectricalTestingPoint> getAll();

    List<ElectricalTestingPoint>getListByPage(int pageIndex, int pageSize);

    ElectricalTestingPoint getPointById(String id);

    void save(ElectricalTestingPoint newPoint);

    void delete(String id);

    void  update(ElectricalTestingPoint point);
}
